## zsync2 2.0.0-alpha-1

=== debian/changelog ===
zsync2 (2.0.0-alpha-1) stable; urgency=medium

  * New upstream release.

 -- Jan Schneider <j.schneider@uib.de>  Tue, 14 Sep 2021 10:00:00 +0200
