=== debian/changelog ===
zsync2 (2.0.0-alpha-2) stable; urgency=medium

  * Version bumped for obs mirror repair - no code changes

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Thu, 09 Dec 2021 14:04:14 +0000
