=== debian/control ===
Source: zsync2
Section: net
Priority: optional
Maintainer: uib GmbH <info@uib.de>
Build-Depends: debhelper (>= 10.0.0), cmake, g++, libssl-dev, libssh2-1-dev, libcurl4-gnutls-dev, zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://github.com/AppImage/zsync2

Package: zsync2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A rewrite of the advanced file download/sync tool zsync.
 The rewrite changes fundamental principles of how zsync works.
 For example, the new code will be C++11.
 Furthermore, the entire functionality will be bundled in a single library called libzsync2.
 The library will serve as a base for the new zsync2 main binary,
 but can then also be linked by other projects which seek to make use of the algorithms and functionality in it.
 This project is intended to remain compatible to the original zsync, i.e.,
 the zsync file format will stay the same etc. However, the zsync file format
 should be extended to be able to serve additional purposes as well.
 Such purposes could be e.g., adding meta information like version numbers, etc.
